org.apache.geode.cache.wan

## Class EventSequenceID

- java.lang.Object
- - org.apache.geode.cache.wan.EventSequenceID

-     public class EventSequenceID
      extends java.lang.Object

  This class wraps 1) DistributedMembershipID 2) ThreadID 3) SequenceID attributes which are used to uniquely identify any Region Operation like create, update, destroy etc. This helps in sequencing the events belonging to a unique producer. As an example, the EventSequenceID can be used to track the events received by `AsyncEventListener`. If the event has already been seen, `AsyncEventListener` can choose to ignore it.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EventSequenceID(byte[] membershipID, long threadID, long sequenceID)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `java.lang.String` | `getMembershipID()`
    `long` | `getSequenceID()`
    `long` | `getThreadID()`
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### EventSequenceID

          public EventSequenceID(byte[] membershipID,
                                 long threadID,
                                 long sequenceID)

  - ### Method Detail

    - #### getMembershipID

          public java.lang.String getMembershipID()

    - #### getThreadID

          public long getThreadID()

    - #### getSequenceID

          public long getSequenceID()

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`